Bug 1441760 - telemetry api services configured via wsgi causes httpd restart on updates
Summary: telemetry api services configured via wsgi causes httpd restart on updates
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat OpenStack
Classification: Red Hat
Component: puppet-tripleo
Version: 11.0 (Ocata)
Hardware: Unspecified
OS: Unspecified
unspecified
high
Target Milestone: rc
: 11.0 (Ocata)
Assignee: Alex Schultz
QA Contact: nlevinki
URL:
Whiteboard:
Depends On: 1441738
Blocks: 1421883 1441736 1441769
TreeView+ depends on / blocked
 
Reported: 2017-04-12 16:06 UTC by Alex Schultz
Modified: 2017-05-17 20:20 UTC (History)
8 users (show)

Fixed In Version: puppet-tripleo-6.3.0-10.el7ost
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1441736
: 1441769 (view as bug list)
Environment:
Last Closed: 2017-05-17 20:20:52 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHEA-2017:1245 normal SHIPPED_LIVE Red Hat OpenStack Platform 11.0 Bug Fix and Enhancement Advisory 2017-05-17 23:01:50 UTC
OpenStack gerrit 453219 None None None 2017-04-13 19:26:58 UTC
Launchpad 1664418 None None None 2017-04-12 16:06:10 UTC

Description Alex Schultz 2017-04-12 16:06:10 UTC
+++ This bug was initially created as a clone of Bug #1441736 +++

Description of problem:
The aodh deployment via wsgi is configured in step4 of the deployment process but httpd is configured in step3 so during updates httpd is restarted multiple times on controllers.

Version-Release number of selected component (if applicable):
openstack-tripleo-heat-templates-5.2.0-3.el7ost.noarch.rpm

--- Additional comment from RHEL Product and Program Management on 2017-04-12 11:11:19 EDT ---

This bug report previously had all acks and release flag approved.
However since at least one of its acks has been changed, the
release flag has been reset to ? by the bugbot (pm-rhel).  The
ack needs to become approved before the release flag can become
approved again.

--- Additional comment from Alex Schultz on 2017-04-12 11:51:02 EDT ---

Apr 12 15:15:41 controller-0.localdomain os-collect-config[2943]: Notice: /Stage[main]/Ceilometer::Wsgi::Apache/Openstacklib::Wsgi::Apache[ceilometer_wsgi]/Apache::Vhost[ceilometer_wsgi]/Concat[10-ceilometer_wsgi.
conf]/File[/etc/httpd/conf.d/10-ceilometer_wsgi.conf]/ensure: defined content as '{md5}45b331cf31210337fd568611305f4a0e'
Apr 12 15:15:41 controller-0.localdomain os-collect-config[2943]: Notice: /Stage[main]/Gnocchi::Wsgi::Apache/Openstacklib::Wsgi::Apache[gnocchi_wsgi]/Apache::Vhost[gnocchi_wsgi]/Concat[10-gnocchi_wsgi.conf]/File[/
etc/httpd/conf.d/10-gnocchi_wsgi.conf]/ensure: defined content as '{md5}d67ebc0785f2ed89f6989633c596fac8'
Apr 12 15:15:41 controller-0.localdomain os-collect-config[2943]: Notice: /Stage[main]/Aodh::Wsgi::Apache/Openstacklib::Wsgi::Apache[aodh_wsgi]/Apache::Vhost[aodh_wsgi]/Concat[10-aodh_wsgi.conf]/File[/etc/httpd/co
nf.d/10-aodh_wsgi.conf]/ensure: defined content as '{md5}34e8afb9835d293887502c75e7a68cee'

Comment 1 Jon Schlueter 2017-04-13 19:26:59 UTC
launchpad resolved and in stable/ocata for puppet-tripleo

Comment 5 errata-xmlrpc 2017-05-17 20:20:52 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHEA-2017:1245


Note You need to log in before you can comment on or make changes to this bug.